Self-serve contractor payments
Self Serve Propose Transaction
Proposes the DRAFT batch as a signed Safe multi-send, records the proposal, sets payroll PENDING.
POSThttps://api.toku.com/hris/self-serve-propose-transaction
Not available to API keys yet. It will need payments:write.
curl --request POST \
--url 'https://api.toku.com/hris/self-serve-propose-transaction' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"payrollID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'200 response
{
"proposalID": "string",
"safeTxHash": "string",
"safeAddress": "string",
"safeAppUrl": "string",
"totalAmount": "string",
"token": "string",
"transactionCount": 0,
"proposedAt": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
payrollIDstring<uuid>requiredResponse
200Successful response
proposalIDstringrequiredsafeTxHashstringrequiredsafeAddressstringrequiredsafeAppUrlstringrequiredtotalAmountstringrequiredtokenstringrequiredtransactionCountintegerrequiredproposedAtstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
422Unprocessable entity
429Response 429
Was this page helpful? Suggest edits